Subject: .nfsXXXX files

From: Aaron Sawdey <[email-masked]>
Date: Mon, 13 Apr 92 11:01:37 -0700

Under UNIX, if a process opens a file and then unlinks it (removes it)
without closing it, the file is still open. The program can write to
it and read from it and the file exists without a directory entry
until the process exits. When the process exits, the disk space used
by the file is released. Under NFS, a file cannot exist on a server
without a name by which to access it. So NFS just renames the file to
.nfsXXXX where XXXX is some unique number, and tries to remove the 
file when the process exits. Unfortunately, the system is not quite
so foolproof; if the process exits abnormally these .nfs files may
be left around.

						Aaron Sawdey
						[email-masked]
						Publication Services, Inc.
						1802 S. Duncan Rd.
						Champaign, Illinois 61821
						(217) 398-2060